package com.springboot.mongodb.repository;

import com.springboot.mongodb.entity.Employee;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public interface EmployeeRepo extends MongoRepository<Employee, Integer> {

	// get all employees from the mongodb collection on the basis of gender type
    List<Employee> findEmployeesByGender(String gender);
}
